• Share
    • Twitter
    • LinkedIn
    • Facebook
    • Email
  • Feedback
  • Edit
Show / Hide Table of Contents

GET TicketRelation/{id}

Some tooltip text!
• 2 minutes to read
 • 2 minutes to read
GET /api/v1/TicketRelation/{id}

Gets a TicketRelationEntity object.

Calls the Ticket agent service GetTicketRelationEntity. NsApiSlow threshold: 5000 ms.

Path Part Type Description
id int32 The id of the TicketRelationEntity to return. Required

Query String Parameters

Parameter Name Type Description
$select string Optional comma separated list of properties to include in the result. Other fields are then nulled out to reduce payload size: "Name,department,category" Default = show all fields.
GET /api/v1/TicketRelation/{id}?$select=name,department,category/id

Request Headers

Parameter Name Description
Authorization Supports 'Basic', 'SoTicket' and 'Bearer' schemes, depending on installation type.
X-XSRF-TOKEN If not using Authorization header, you must provide XSRF value from cookie or hidden input field
Accept Content-type(s) you would like the response in: application/json, text/json, application/xml, text/xml, application/json-patch+json, application/merge-patch+json
Accept-Language Convert string references and multi-language values into a specified language (iso2) code.
SO-Language Convert string references and multi-language values into a specified language (iso2) code. Overrides Accept-Language value.
SO-Culture Number, date formatting in a specified culture (iso2 language) code. Partially overrides SO-Language/Accept-Language value. Ignored if no Language set.
SO-TimeZone Specify the timezone code that you would like date/time responses converted to.
SO-AppToken The application token that identifies the partner app. Used when calling Online WebAPI from a server.

Response:

TicketRelationEntity found.

Response Description
200 TicketRelationEntity found.
404 Not Found.

Response body: TicketRelationEntityWithLinks

Property Name Type Description
TicketRelationId int32 Primary key
SourceTicketId int32 Source ticket in this relation
DestinationTicketId int32 Destination ticket in this relation
RelationType string Ticket relation type
Comment string Comment for relation
TableRight TableRight The carrier's table right
FieldProperties object Field property dictionary mapping field names to field access rights.
_Links object

Sample request

[!include[sample request](../../samples/rest/request/v1TicketRelationEntity_GetTicketRelationEntity.md)]

Sample response

[!include[sample response](../../samples/rest/response/v1TicketRelationEntity_GetTicketRelationEntity.md)]
© SuperOffice. All rights reserved.
SuperOffice |  Community |  Release Notes |  Privacy |  Site feedback |  Search Docs |  About Docs |  Contribute |  Back to top